Bug 13818 - Editing and saving a course reserve displays the add item form
Summary: Editing and saving a course reserve displays the add item form
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Course reserves (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-10 18:17 UTC by Kyle M Hall
Modified: 2015-12-03 22:02 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13818 - Editing and saving a course reserve displays the add item form (3.60 KB, patch)
2015-03-10 18:26 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 13818 - Editing and saving a course reserve displays the add item form (3.69 KB, patch)
2015-03-11 07:15 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 13818 - Editing and saving a course reserve displays the add item form (3.75 KB, patch)
2015-03-11 09:41 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2015-03-10 18:17:35 UTC
If one chooses to edit an existing course reserve for an item, saving it should go back to the course details, but instead displays the "add items: scan barcode" form.
Comment 1 Kyle M Hall 2015-03-10 18:26:52 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2015-03-11 07:15:22 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-03-11 09:41:31 UTC
Created attachment 36791 [details] [review]
Bug 13818 - Editing and saving a course reserve displays the add item form

If one chooses to edit an existing course reserve for an item, saving it
should go back to the course details, but instead displays the "add
items: scan barcode" form.

Test Plan:
1) Edit a course reserve
2) Save it
3) Note you get the "add items: scan barcode" form
4) Apply this patch
5) Repeat steps 1 and 2
6) Note you are now redirected back to the course details page

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 4 Tomás Cohen Arazi 2015-03-25 14:32:15 UTC
Patch pushed to master.

Thanks Kyle!
Comment 5 Chris Cormack 2015-03-29 06:29:11 UTC
Pushed to 3.18.x will be in 3.18.6